[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.Rectangle

Draws a filled rectangle.

## Declaration

Source position: winapih.inc line 220

`public function TWidgetSet.Rectangle(`
`DC: HDC;`
`X1: Integer;`
`Y1: Integer;`
`X2: Integer;`
`Y2: Integer`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.

## Function result

False on failure.